Skip to main content
GET
/
servers
/
{serverId}
/
players
/
{playerId}
/
history
Get Player History
curl --request GET \
  --url https://api.mcmp.app/v1/servers/{serverId}/players/{playerId}/history \
  --header 'Authorization: Bearer <token>'
{
  "player": {
    "uuid": "<string>",
    "name": "<string>",
    "online": true,
    "lastSeen": "2023-11-07T05:31:56Z"
  },
  "sessions": [
    {
      "joinTime": "2023-11-07T05:31:56Z",
      "leaveTime": "2023-11-07T05:31:56Z",
      "duration": 123
    }
  ],
  "totalPlayTime": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

serverId
string
required

The unique identifier of the server

playerId
string
required

The unique identifier of the player

Response

200 - application/json

Successful response

player
object
sessions
object[]
totalPlayTime
integer

Total play time in seconds